package com.gic.haoban.manage.api.service;

import java.util.Map;

/**
 * 自建应用api,实现在gic-qywx-self模块
 */
public interface QywxSelfApiService {

    Map<String,Object> selfPost(String url, String json, String ip) ;

    Map<String,Object> selfGet(String url, String ip) ;

    Map<String,Object> selfUpload(String url, String fileUrl, String fileName, String ip) ;

    Map<String,Object> selfImage(String url, String fileName, String ip , byte[] data) ;
    
}
